import Divider from '@mui/material/Divider';
import Paper from '@mui/material/Paper';
import MenuList from '@mui/material/MenuList';
import MenuItem from '@mui/material/MenuItem';
import ListItemText from '@mui/material/ListItemText';
import ListItemIcon from '@mui/material/ListItemIcon';
import BookmarkBorderIcon from '@mui/icons-material/BookmarkBorder';
import ArchiveIcon from '@mui/icons-material/Archive';
import PermContactCalendarIcon from '@mui/icons-material/PermContactCalendar';
import SettingsIcon from '@mui/icons-material/Settings';
import Brightness3Icon from '@mui/icons-material/Brightness3';
import AnimationIcon from '@mui/icons-material/Animation';
import HelpOutlineIcon from '@mui/icons-material/HelpOutline';
import BugReportIcon from '@mui/icons-material/BugReport';
import { makeStyles } from '@material-ui/core'


const useStyles = makeStyles({
    container: {
        position: 'absolute',
        width: 270,
        maxWidth: '100%',
        top: 60,
        left: 15,
        zIndex: 10,
        background: '#43a047',
        visibility: 'visible',
    },
    list: {
    background:'#fdfdfd'
    },
    listItemLast: {
        textAlign: 'center',
    },
    listIcon: {
        marginRight: 15,
    },
    listIconText: {
        marginRight: 15,
        paddingLeft:6
    }
})

const MenuBar = () => {
    const classes = useStyles()
  return (
    <Paper className={classes.container}>
      <MenuList className={classes.list}>
        <MenuItem>
          <ListItemIcon className={classes.listIcon}>
            <BookmarkBorderIcon fontSize="medium" />
          </ListItemIcon>
          <ListItemText>Saved Messages</ListItemText>
        </MenuItem>
        <MenuItem>
          <ListItemIcon className={classes.listIcon}>
            <ArchiveIcon fontSize="medium" />
          </ListItemIcon>
          <ListItemText>Archived Chats</ListItemText>
        </MenuItem>
        <MenuItem>
          <ListItemIcon className={classes.listIcon}>
            <PermContactCalendarIcon fontSize="medium" />
          </ListItemIcon>
          <ListItemText>Contacts</ListItemText>
        </MenuItem>        
        <MenuItem>
          <ListItemIcon className={classes.listIcon}>
            <SettingsIcon fontSize="medium" />
          </ListItemIcon>
          <ListItemText>Settings</ListItemText>
        </MenuItem>
        <MenuItem>
          <ListItemIcon className={classes.listIcon}>
            <Brightness3Icon fontSize="medium" />
          </ListItemIcon>
          <ListItemText>Night Mode</ListItemText>
        </MenuItem>
        <MenuItem>
          <ListItemIcon className={classes.listIcon}>
            <AnimationIcon fontSize="medium" />
          </ListItemIcon>
          <ListItemText>Animation</ListItemText>
        </MenuItem>
        <MenuItem>
          <ListItemIcon className={classes.listIcon}>
            <HelpOutlineIcon fontSize="medium" />
          </ListItemIcon>
          <ListItemText>Telegram Features</ListItemText>
        </MenuItem>              
        <MenuItem>
          <ListItemIcon className={classes.listIcon}>
            <BugReportIcon fontSize="medium" />
          </ListItemIcon>
          <ListItemText>Report bug</ListItemText>
        </MenuItem>
        <MenuItem>
          <ListItemIcon className={classes.listIconText}>
            K
          </ListItemIcon>
          <ListItemText>Switch to K Version</ListItemText>
        </MenuItem>
        <MenuItem>
          <ListItemIcon className={classes.listIconText}>
             W
          </ListItemIcon>
          <ListItemText>Switch to Old Version</ListItemText>
        </MenuItem>
        <Divider />
        <MenuItem className={classes.listItemLast}>
          <ListItemText>Telegram WebZ 1.32.3</ListItemText>
        </MenuItem>
      </MenuList>
    </Paper>
  );
}

export default MenuBar