import Avatar from '@mui/material/Avatar';
import Stack from '@mui/material/Stack';
import { makeStyles, Typography } from '@material-ui/core'
import  shortid  from 'shortid';

import {users} from './user'

const useStyles = makeStyles({
    stack: {
        display: 'flex',
        justifyContent: 'space-around'
    },
    stackItem: {
        display: 'flex',
        flexDirection: 'column',
        justifyContent: 'center',
        alignContent: 'center',
        alignItems: 'center',
        padding: 5,
        borderRadius: 5,
        '&:hover': {
            background: '#eeeded'
        }
    },
    titleName: {
        color: '#6e6e6e',
        fontSize: 16,
        paddingTop:5
    }
})

const randomColor = () => "#" + Math.floor(Math.random() * 0xFFFFFF).toString(16);


const ChatListRecent = () => {
    const classes = useStyles()
    return (
    <Stack direction="row" className={classes.stack}>
      {users && users.slice(0, 6).map(({ name, avatarUrl }) => <div key={shortid.generate()} className={classes.stackItem}>
        <Avatar alt={name} src={avatarUrl?avatarUrl:undefined}
              sx={{ background: randomColor(), width: 54, height: 54 }}>{name.slice(0, 1).toUpperCase()}</Avatar>
        <Typography variant="h6" className={classes.titleName} >{name}</Typography>
          </div>)}
    </Stack>   
    )
}

export default ChatListRecent